/*
   eeprom.h
*/

#ifndef _DEFINED_BF1B8BDD_FE35_4d95_9F9A_DC2412298BC6
#define _DEFINED_BF1B8BDD_FE35_4d95_9F9A_DC2412298BC6

#if defined(__cplusplus) || defined(__cplusplus__)
extern "C" {
#endif

/* Address parameters */
#define EEPROMPAGESIZE                 0x10   /* 16 bytes. */
#define EEPROMPAGEMASK                 0xFFF0 /* Last nibble is "don't care" */

/* Uses the 25xx640 (8K x 8) SPI EPROM */
#define EEPROMRANGE_1_4_0              0x1F   /* Address: 0x0000 - 0x1fff */
#define EEPROMSIZE_1_4_0               0x2000 /* Number of bytes */


/* Uses the 25xx256 (32K x 8) SPI EPROM */
#define EEPROMRANGE_1_4_1              0x7F   /* Address: 0x0000 - 0x7fff */
#define EEPROMSIZE_1_4_1               0x8000 /* Number of bytes */


/* User space begin by firmware version */
#define EEPROM_USER_AREA_BEGIN_1_2_0   0x0130
#define EEPROM_USER_AREA_BEGIN_1_4_0   0x0140
#define EEPROM_USER_AREA_BEGIN_1_5_0   0x0150
#define EEPROM_USER_AREA_BEGIN         0x0150

#if defined(__cplusplus) || defined(__cplusplus__)
}
#endif


#endif /* _DEFINED_BF1B8BDD_FE35_4d95_9F9A_DC2412298BC6 */
