/*
   sd_usk.h

	For SmartDongle 2.25 API
*/

#ifndef _DEFINED_ED8943FD_17C0_4feb_A743_5E50B68C6A6E
#define _DEFINED_ED8943FD_17C0_4feb_A743_5E50B68C6A6E

#ifndef _WINDOWS_
   #include <Windows.h>
#endif

/* Same structure as Shell DLLVersionInfo in shlwapi.h */
typedef struct _USKDllVersionInfo
{
   DWORD cbSize;
   DWORD dwMajorVersion;                   /* Major version */
   DWORD dwMinorVersion;                   /* Minor version */
   DWORD dwBuildNumber;                    /* Build number */
   DWORD dwPlatformID;                     /* DLLVER_PLATFORM_* */
} USKDLLVERSIONINFO;

/* Platform IDs for DLLVERSIONINFO */
#define USK_DLLVER_PLATFORM_WINDOWS         0x00000001      /* Windows 95 */
#define USK_DLLVER_PLATFORM_NT              0x00000002      /* Windows NT */

#if defined(__cplusplus) || defined(__cplusplus__)
extern "C" {
#endif

   #ifndef USK_DLL
   /*
      Cause following DLL functions as to be defined as imports, unless
      DLL.h has overridden this behavior.
   */
      #define USK_DLL(type) type __stdcall
   #endif

   /* Get the usk.dll's version. */
   USK_DLL(int) DllGetVersion(USKDLLVERSIONINFO *pdvi);

   /* Open, Enable, Read User EEPROM Space, Disable then Close. */
   USK_DLL(int) Read(
      unsigned __int64 P1,
      unsigned __int64 P2,
      unsigned int address,
      unsigned char *buffer,
      int size);

   /* Open, Enable, Write User EEPROM Space, Disable then Close. */
   USK_DLL(int) Write(
      unsigned __int64 P1,
      unsigned __int64 P2,
      unsigned int address,
      unsigned char *buffer,
      int size);

   /* Issue a SmartDongle reboot command. */
   USK_DLL(int) Reset (void);

   /* LED Control. */
   USK_DLL(int) LedGreen (void);
   USK_DLL(int) LedRed (void);
   USK_DLL(int) LedOff (void);

   /* User EPROM memory encryption control - Firmware v1.42 */
   USK_DLL(int) WriteCryptMode (
      unsigned __int64 P1,
      unsigned __int64 P2,
      unsigned char mode);

   USK_DLL(int) ReadCryptMode (unsigned char *mode);

#if defined(__cplusplus) || defined(__cplusplus__)
}
#endif

#endif /* _DEFINED_ED8943FD_17C0_4feb_A743_5E50B68C6A6E */
